Get chat participant
Use the select query parameter to specify which fields to include.
Path parameters
chatIdstringRequired
The chat ID.
idstringRequired
The participant ID.
Query parameters
selectstringOptional
Optional RQL select statement to filter fields.
Responses
200
OK
application/json
idstringOptional
revisioninteger · int32Optional
mutedbooleanOptional
Flag indicates whether participant should be notified of new messages in the chat.
statusstring · enumOptionalPossible values:
unreadMessageCountinteger · int32Optional
The count of messages in the chat not read by this participant.
403
Forbidden
application/json
404
Not Found
application/json
get/public/v1/helpdesk/chats/{chatId}/participants/{id}
GET /public/v1/helpdesk/chats/{chatId}/participants/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"exited": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"reactivated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"chat": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Direct"
},
"contact": {
"id": "text",
"revision": 1,
"name": "text",
"email": "text",
"identity": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1
},
"user": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"email": "text",
"status": "text",
"phone": {
"prefix": "text",
"number": "text"
},
"firstName": "text",
"lastName": "text",
"lastLoginAt": "2026-01-01T00:00:00.000Z",
"settings": {
"cultureCode": "text",
"dateFormat": "text",
"languageCode": "text",
"numberFormat": {
"decimalSeparator": "text",
"groupSeparator": "text"
},
"timeFormat": "text",
"timeZone": "text",
"optOuts": {
"objectTypes": [
"text"
]
}
},
"accounts": [
{
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
}
],
"currentAccount": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
}
}
},
"identity": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"account": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
},
"muted": true,
"status": "Active",
"lastReadMessage": {
"id": "text",
"revision": 1,
"content": "text",
"visibility": "Public",
"isDeleted": true
},
"unreadMessageCount": 1
}Last updated
Was this helpful?